Page MenuHomePhabricator

get datset1001, ms1001 ready for decommission
Closed, ResolvedPublic

Description

These boxes are well out of warranty so they need to go away. Steps required for this to happen:

  • snapshot jobs moved off these hosts
  • mounts removed from snapshot hosts
  • web service moved to labstore1006,7 (T188641, T188646)
  • nfs mounts to stat1005,6 moved to labstore1006,7 (T188644)
  • incoming fetches of datasets moved to labstore1006,7
  • incoming pushes of datasets from other hosts moved to labstore1006,7 (T171541)
  • ezachte's cron jobs updated to use labstore1006,7 instead of dataset1001
  • get all mirror sites to switch over to labstore1006,7 (T188645)
  • service of dumps and pageviews via labstore1006,7 instead of labstore1003 (T188643)
  • turn off all cron jobs involving dataset1001, ms1001
  • remove all mention of dataset1001, ms1001 from rsync config files
  • change roles on dataset1001, ms1001 to spare system
  • Profit??

This may not be quite the complete list but it should be most items. Some of these items are also listed on this task: T168486
I have them here for my own bookkeeping.

Related Objects

StatusSubtypeAssignedTask
ResolvedArielGlenn
ResolvedCmjohnson
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
ResolvedArielGlenn
ResolvedArielGlenn
Resolved ezachte
ResolvedArielGlenn
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy
Resolved madhuvishy

Event Timeline

ArielGlenn triaged this task as Medium priority.Dec 10 2017, 8:00 PM
ArielGlenn created this task.
ArielGlenn updated the task description. (Show Details)

Change 396931 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] get rid of datasets1001 mount on snapshot hosts

https://gerrit.wikimedia.org/r/396931

ArielGlenn moved this task from Backlog to Active on the Dumps-Generation board.Dec 10 2017, 8:02 PM

Change 396931 merged by ArielGlenn:
[operations/puppet@production] get rid of datasets1001 mount on snapshot hosts

https://gerrit.wikimedia.org/r/396931

ArielGlenn updated the task description. (Show Details)Dec 12 2017, 12:20 PM

Change 423731 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/puppet@production] dumps: Turn off cron that rsyncs to labstore1003

https://gerrit.wikimedia.org/r/423731

Change 423732 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/puppet@production] dumps: Clean up code that rsyncs to labstore1003

https://gerrit.wikimedia.org/r/423732

Change 423733 had a related patch set uploaded (by Madhuvishy; owner: Madhuvishy):
[operations/puppet@production] dumps: Remove stat1005|6 from nfs clients for dataset1001

https://gerrit.wikimedia.org/r/423733

Change 425234 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] remove dumps web server from dataset1001 and ms1001

https://gerrit.wikimedia.org/r/425234

Change 425246 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] turn off public dumps mirror rsync access to dataset1001

https://gerrit.wikimedia.org/r/425246

Change 425234 merged by ArielGlenn:
[operations/puppet@production] remove dumps web server from dataset1001 and ms1001

https://gerrit.wikimedia.org/r/425234

Change 425246 merged by ArielGlenn:
[operations/puppet@production] turn off public dumps mirror rsync access to dataset1001

https://gerrit.wikimedia.org/r/425246

Change 423733 merged by Madhuvishy:
[operations/puppet@production] dumps: Remove stat1005|6 from nfs clients for dataset1001

https://gerrit.wikimedia.org/r/423733

Change 423731 merged by Madhuvishy:
[operations/puppet@production] dumps: Turn off cron that rsyncs to labstore1003

https://gerrit.wikimedia.org/r/423731

Change 423732 merged by Madhuvishy:
[operations/puppet@production] dumps: Clean up code that rsyncs to labstore1003

https://gerrit.wikimedia.org/r/423732

ArielGlenn updated the task description. (Show Details)Apr 11 2018, 7:06 PM

Change 425773 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] remove ms1001 from dump rsync targets

https://gerrit.wikimedia.org/r/425773

Change 425773 merged by ArielGlenn:
[operations/puppet@production] remove ms1001 from dump rsync targets

https://gerrit.wikimedia.org/r/425773

Change 425776 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] Turn off incoming rsyncs of various datasets to dataset1001

https://gerrit.wikimedia.org/r/425776

Change 425776 merged by ArielGlenn:
[operations/puppet@production] Turn off incoming rsyncs of various datasets to dataset1001

https://gerrit.wikimedia.org/r/425776

ArielGlenn updated the task description. (Show Details)Apr 13 2018, 11:07 AM
ArielGlenn updated the task description. (Show Details)Apr 30 2018, 7:00 AM

Change 429724 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] remove all references to dataset1001 from rsync and related manifests

https://gerrit.wikimedia.org/r/429724

Change 429724 merged by ArielGlenn:
[operations/puppet@production] remove all references to dataset1001 from rsync and related manifests

https://gerrit.wikimedia.org/r/429724

Change 429726 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] stop rsync of web logs from dataset1001

https://gerrit.wikimedia.org/r/429726

Change 429726 merged by ArielGlenn:
[operations/puppet@production] stop rsync of web logs from dataset1001

https://gerrit.wikimedia.org/r/429726

Change 429728 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] remove production roles from ms1001, dataset1001

https://gerrit.wikimedia.org/r/429728

ArielGlenn updated the task description. (Show Details)Apr 30 2018, 7:44 AM

Change 429728 merged by ArielGlenn:
[operations/puppet@production] remove production roles from ms1001, dataset1001

https://gerrit.wikimedia.org/r/429728

ArielGlenn updated the task description. (Show Details)May 7 2018, 10:51 AM

Change 431551 had a related patch set uploaded (by ArielGlenn; owner: ArielGlenn):
[operations/puppet@production] remove a bunch of manifests only used on dataset1001, ms1001

https://gerrit.wikimedia.org/r/431551

Change 431551 merged by ArielGlenn:
[operations/puppet@production] remove a bunch of manifests only used on dataset1001, ms1001

https://gerrit.wikimedia.org/r/431551

ArielGlenn closed this task as Resolved.May 7 2018, 4:53 PM
ArielGlenn updated the task description. (Show Details)
ArielGlenn moved this task from Active to Done on the Dumps-Generation board.May 8 2018, 7:49 AM